package com.jsf.modelos;
// Generated 12-20-2019 09:25:14 AM by Hibernate Tools 5.2.12.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * FechaEspecial generated by hbm2java
 */
@Entity
@Table(name = "fecha_especial", catalog = "actividades")
public class FechaEspecial implements java.io.Serializable {

	private Integer idFecha;
	private String diaEspecial;

	public FechaEspecial() {
	}

	public FechaEspecial(String diaEspecial) {
		this.diaEspecial = diaEspecial;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_fecha", unique = true, nullable = false)
	public Integer getIdFecha() {
		return this.idFecha;
	}

	public void setIdFecha(Integer idFecha) {
		this.idFecha = idFecha;
	}

	@Column(name = "dia_especial", length = 250)
	public String getDiaEspecial() {
		return this.diaEspecial;
	}

	public void setDiaEspecial(String diaEspecial) {
		this.diaEspecial = diaEspecial;
	}

}
